package com.hwrj.cloud.portal.mapper;

import com.hwrj.cloud.portal.model.UmsRollBuy;
import com.hwrj.cloud.portal.model.UmsRollBuyExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UmsRollBuyMapper {
    long countByExample(UmsRollBuyExample example);

    int deleteByExample(UmsRollBuyExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UmsRollBuy record);

    int insertSelective(UmsRollBuy record);

    List<UmsRollBuy> selectByExample(UmsRollBuyExample example);

    UmsRollBuy selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UmsRollBuy record, @Param("example") UmsRollBuyExample example);

    int updateByExample(@Param("record") UmsRollBuy record, @Param("example") UmsRollBuyExample example);

    int updateByPrimaryKeySelective(UmsRollBuy record);

    int updateByPrimaryKey(UmsRollBuy record);
}